File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxxinput.c File Reference

`#include "X.h"`
`#include "Xproto.h"`
`#include "inputstr.h"`
`#include "XI.h"`
`#include "XIproto.h"`
`#include "XIstubs.h"`
`#include "mipointer.h"`
`#include "dmxinputinit.h"`
`#include "exevents.h"`

## Functions
int | ChangeKeyboardDevice (DeviceIntPtr old_dev, DeviceIntPtr new_dev)
int | ChangePointerDevice (DeviceIntPtr old_dev, DeviceIntPtr new_dev, unsigned char x, unsigned char y)
void | CloseInputDevice (DeviceIntPtr d, ClientPtr client)
void | AddOtherInputDevices (void)
void | OpenInputDevice (DeviceIntPtr dev, ClientPtr client, int *status)
int | SetDeviceMode (ClientPtr client, DeviceIntPtr dev, int mode)
int | SetDeviceValuators (ClientPtr client, DeviceIntPtr dev, int *valuators, int first_valuator, int num_valuators)
int | ChangeDeviceControl (ClientPtr client, DeviceIntPtr dev, xDeviceCtl *control)

## Detailed Description

This file implements support required by the XINPUT extension.

## Function Documentation

void AddOtherInputDevices | ( | void |  | ) |

| This is not required by the XINPUT model that DMX uses.

int ChangeDeviceControl | ( | ClientPtr | client,
|  | DeviceIntPtr | dev,
|  | xDeviceCtl * | control
| ) |

| Change device control. This is not implemented.

int ChangeKeyboardDevice | ( | DeviceIntPtr | old_dev,
|  | DeviceIntPtr | new_dev
| ) |

| Change the core keyboard from old_dev to new_dev. Currently this is not implemented.

int ChangePointerDevice | ( | DeviceIntPtr | old_dev,
|  | DeviceIntPtr | new_dev,
|  | unsigned char | x,
|  | unsigned char | y
| ) |

| Change the core pointer from old_dev to new_dev.

void CloseInputDevice | ( | DeviceIntPtr | d,
|  | ClientPtr | client
| ) |

| Close the input device. This is not required by the XINPUT model that DMX uses.

void OpenInputDevice | ( | DeviceIntPtr | dev,
|  | ClientPtr | client,
|  | int * | status
| ) |

| Open an input device. This is not required by the XINPUT model that DMX uses.

int SetDeviceMode | ( | ClientPtr | client,
|  | DeviceIntPtr | dev,
|  | int | mode
| ) |

| Set device mode to mode. This is not implemented.

int SetDeviceValuators | ( | ClientPtr | client,
|  | DeviceIntPtr | dev,
|  | int * | valuators,
|  | int | first_valuator,
|  | int | num_valuators
| ) |

| Set device valuators. This is not implemented.